<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.0
 *
 * Copyright (C) 2006-2014  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], "inc.php");
if ($pos === FALSE)
    $ok_inc = TRUE;
else
    $ok_inc = FALSE;
if ($ok_inc == FALSE) header("Location: ../index.php");

include_once("../inc/fic_cli.inc.php");
include_once("../inc/fic_dloc.inc.php");
include_once("../inc/fic_droits.inc.php");
include_once("../inc/fic_loc.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_time.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/lst.inc.php");
include_once("../classes/ezSQL/shared/ez_sql_core.php");
include_once("../classes/ezSQL/mysqli/ez_sql_mysqli.php");
include_once("../inc/func_sql.inc.php");
Archivelog(@$_SESSION["code_log"]);
// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$fi = "";
if (isset($_GET['fi']) && (trim($_GET['fi']) <> ""))
    $fi = intval($_GET['fi']);
$ca = @$_SESSION["code_age"];
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?PHP echo _("ESPACE PRIVE"); ?> : <?PHP echo _("Impression liste produits à louer"); ?></title>

    <?PHP include_once("../inc/header.inc.php"); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            warn_print(1);
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>


</head>

<body>
<?PHP
entimplst("LISTE DES PRODUITS A LOUER");

$iddloc = id_dloc_page($ca, TRUE);

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);
$rech = cree_strrechlstrpdtl();
switch ($fi) {
    case 1 :
        if (!stristr($rech, "WHERE "))
            $rech .= " WHERE pdtloc_louable='1'";
        else
            $rech .= " AND pdtloc_louable='1'";
        break;
    case 2 :
        if (!stristr($rech, "WHERE "))
            $rech .= " WHERE pdtloc_louable='0'";
        else
            $rech .= " AND pdtloc_louable='0'";
        break;
    case 3 :
        if (!stristr($rech, "WHERE "))
            $rech .= " WHERE pdtloc_loue='1'";
        else
            $rech .= " AND pdtloc_loue='1'";
        break;
    case 4 :
        if (!stristr($rech, "WHERE "))
            $rech .= " WHERE pdtloc_loue='0'";
        else
            $rech .= " AND pdtloc_loue='0'";
        break;
    default :
        break;
}
$rech .= crestr_triord($pdtloc_titre_col, "pdtloc_code", FALSE, $limit);
$rows = $db->get_results($rech, ARRAY_A);

// *** Affichage de la table

echo "<table class=\"MItable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";

// création entête

titimplst($pdtloc_titre_col);

$i = 0;
$pdtlouables = FALSE;

foreach ($rows as $row) {
    $row = encode_str($row);
    // On vérifie que le produit n'est pas déjà utilisé dans le contrat
    $rech2 = "SELECT COUNT(*) FROM `" . TBPDTL . "` WHERE `pdtl_codepdtloc` = '" . $row["pdtloc_code"] . "' AND `pdtl_codecoloc` = '" . $cl . "'";
    $nbres2 = $db->get_var($rech2);
    if ($nbres2 == 0) {
        echo "<tr>";

        echo "<td>";
        echo $row["pdtloc_code"];
        if ($row["pdtloc_iddloc"] == $iddloc)
            echo ' <img src="../img/dp.png" border="0">';
        else {
            echo "<div align=\"right\" class=\"annot_upetit\">";
            echo $row["dloc_nom"];
            if ($row["dloc_codeage"] <> "")
                echo ' ('._("agence").' ' . $row["dloc_codeage"] . ')';
            echo "</div>";
        }
        echo "</td>\n";
        echo "<td>";
        echo $row["pdtloc_fam"];

        // détail famille
        echo "<br />";
        echo "<span class=\"annot_petit_it\">";
        $txt = "(" . formatetxt($row["fam_desc"]) . ")";
        echo $txt;
        echo "</span>";

        echo "</td>\n";
        echo "<td>";
        echo $row["pdtloc_des"];
        echo "</td>\n";
        echo "<td>";
        echo $row["pdtloc_ns"];
        echo "</td>\n";
        echo "<td>";
        echo "<div align=\"center\">";
        echo $non_oui[$row["pdtloc_louable"]];
        echo "</div>";
        echo "</td>\n";
        echo "<td>";
        echo "<div align=\"center\">";
        echo $non_oui[$row["pdtloc_loue"]];
        if ((@$_SESSION["niv_log"] == 5) OR (@$_SESSION["niv_log"] == 9) OR (((@$_SESSION["niv_log"] == 4) OR (@$_SESSION["niv_log"] == 3))AND ($row["pdtloc_iddloc"] == $iddloc))) {
            if ($row["pdtloc_loue"] == TRUE) {
                echo "<div class=\"annot_upetit\">";
                $rech2 = "SELECT " . TBPDTL . ".pdtl_codecoloc, " . TBCOLOC . ".coloc_codecli FROM `" . TBPDTL . "`, `" . TBCOLOC . "`";
                $rech2 .= " WHERE " . TBPDTL . ".pdtl_codepdtloc = '" . $row["pdtloc_code"] . "'";
                $rech2 .= " AND " . TBPDTL . ".pdtl_datedep <> '0000-00-00'";
                $rech2 .= " AND " . TBPDTL . ".pdtl_dateret = '0000-00-00'";
                $rech2 .= " AND " . TBPDTL . ".pdtl_codecoloc = " . TBCOLOC . ".coloc_code";
                $row2 = $db->get_row($rech2, ARRAY_A);
                if ($row2)
                    echo $row2["coloc_codecli"] . " (" . $row2["pdtl_codecoloc"] . ")";
                echo "</div>";
            }
        }
        echo "</div>";
        echo "</td>\n";

        echo "</tr>\n";

        $i++;
    }
}
echo "</table>\n";
// *** Fin affichage de la table

$db->disconnect();
?>
